<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Home extends Frontend_Controller
{

    public function __construct()
    {
        parent::__construct();
        $this->load->model('email_model');
        $this->load->model('smsmanager_model');
        $this->load->model('home_model');
        $this->load->model('frontend_model');
    }

    public function index()
    {
        $this->home();
    }

    public function home()
    {
        
       
        $seo_content = $this->home_model->get_list('front_cms_home_seo', array('id' => 1), true);
        $data['seo_content'] = json_decode($seo_content['seo_content']); 
         $speciality_id = $this->input->get('speciality');
        if($speciality_id){
            $speciality = $this->db->get_where('front_cms_services_list',array('id'=>$speciality_id))->row();
            $doctors = json_decode($speciality->doctors);
        //     echo "<pre>";
        // print_r($doctors);
        // die;
            $data['speciality_id'] = $speciality_id;        
            $data['doctors'] = $this->home_model->get_doctor_speciality_list($doctors);
        }else{
            $data['speciality_id'] = "";  
            $data['doctors'] = $this->home_model->get_doctor_list();
        }
        $data['page'] = 'maternite/index';
        $this->load->view('maternite/template', $data);
      
    }
   

    public function about()
    {
        $data['about'] = $this->db->get_where('about_us',array('id'=>1))->row();
        $data['seo_content'] = json_decode($data['about']->seo_content); 
  
        $data['page'] = 'maternite/about-us';
        $this->load->view('maternite/template', $data);
    }


       public function vision_mission()
    {
        $data['about'] = $this->db->get_where('about_us',array('id'=>1))->row();
        $data['seo_content'] = json_decode($data['about']->seo_content); 
  
        $data['page'] = 'maternite/vision-mission';
        $this->load->view('maternite/template', $data);
    }
     public function contact()
    {
        $data['contact'] = $this->db->get_where('contact_us',array('id'=>1))->row();
        $data['seo_content'] = json_decode($data['contact']->seo_content); 
  
        $data['page'] = 'maternite/contact';
        $this->load->view('maternite/template', $data);
    }
  
     public function services()
    {
      
        $seo_content = $this->home_model->get_list('front_cms_speciality_seo', array('id' => 1), true);
        $data['seo_content'] = json_decode($seo_content['seo_content']);
        $data['page'] = 'maternite/services';
        $this->load->view('maternite/template', $data);
    }

 public function womencare_details($slug)
    {
        if (empty($slug)) {
            redirect(base_url('home'));
        }
        $womencare = $this->db->get_where('front_cms_services_list',array('slug'=>$slug))->row();
        $id = $womencare->id;
        $data['womencare'] = $this->db->get_where('front_cms_services_list',array('id'=>$id))->row();
    
   
      
        
        $data['page'] = 'maternite/womencare_details';
        $this->load->view('maternite/template', $data);
    }
    
    public function childcare_details($slug)
    {
        if (empty($slug)) {
            redirect(base_url('home'));
        }
        $childcare = $this->db->get_where('front_cms_childcare_list',array('slug'=>$slug))->row();
        $id = $childcare->id;
        $data['childcare'] = $this->db->get_where('front_cms_childcare_list',array('id'=>$id))->row();
    
   
      
        
        $data['page'] = 'maternite/childcare_details';
        $this->load->view('maternite/template', $data);
    }
    
        public function infertilitytreatment_details($slug)
    {
        if (empty($slug)) {
            redirect(base_url('home'));
        }
        $infertilitytreatment = $this->db->get_where('front_cms_infertilitytreatment_list',array('slug'=>$slug))->row();
        $id = $infertilitytreatment->id;
        $data['infertilitytreatment'] = $this->db->get_where('front_cms_infertilitytreatment_list',array('id'=>$id))->row();
    
   
      
        
        $data['page'] = 'maternite/infertilitytreatment_details';
        $this->load->view('maternite/template', $data);
    }


   public function mobile()
    {
       
        $data['page'] = 'maternite/mobile';
        $this->load->view('maternite/template', $data);
    }
 
    

    public function doctors()
    {
       
        $speciality_id = $this->input->get('speciality');
        if($speciality_id){
            $speciality = $this->db->get_where('front_cms_services_list',array('id'=>$speciality_id))->row();
            $doctors = json_decode($speciality->doctors);
        //     echo "<pre>";
        // print_r($doctors);
        // die;
            $data['speciality_id'] = $speciality_id;        
            $data['doctors'] = $this->home_model->get_doctor_speciality_list($doctors);
        }else{
            $data['speciality_id'] = "";  
            $data['doctors'] = $this->home_model->get_doctor_list();
        }
        
        if($_GET['type'] == "alpha"){
            $data['doctors'] = $this->home_model->get_doctor_list_alphabetically();
        $result = array();
            foreach ($data['doctors'] as $item) {
                $firstLetter = substr($item['new_name'], 0, 1);
                if (ctype_alpha($firstLetter)) {
                    $result[$firstLetter][] = $item;
                }else{
                    // $result["0-9"][] = $item;
                }
            }
        
        // echo "<pre>";
        
        // print_r($result);
        // die;
        $data['doctors'] = $result;
        $data['page'] = 'maternite/doctor-new';
        }else{
            $data['page'] = 'maternite/doctor';
        }
        $this->load->view('maternite/template', $data);
    }

    public function doctor_profile($id = '')
    {
        if (empty($id)) {
            redirect(base_url('home'));
        }
        // $this->data['page_data'] = $this->home_model->get_list('front_cms_doctors', array('id' => 2), true);
     $data['doctor'] = $this->home_model->get_doctor_profile_by_slug($id);
        // $this->data['main_contents'] = $this->load->view('home/doctor_profile', $this->data, true);
        // $this->load->view('home/layout/index', $this->data);
        // echo "<pre>";
        // print_r($data);
        // die;
        $data['seo_content'] = json_decode($data['doctor']['seo_content']);
        $data['page'] = 'maternite/doctor-details';
        $this->load->view('maternite/template', $data);
    }
     public function doctor_details($id = '')
    {
        redirect(base_url('home'));
        if (empty($id)) {
            redirect(base_url('home'));
        }
        
        $data['doctor'] = $this->home_model->get_doctor_profile($id);
       
        $data['page'] = 'maternite/doctor-details';
        $this->load->view('maternite/template', $data);
    }
    
    public function search_doctor(){
        $str = "Dr. ".$this->input->get('term');
        $this->db->select('staff.*,staff_designation.name as designation_name,staff_department.name as department_name, staff.name as value');
        $this->db->from('staff');
        $this->db->join('login_credential', 'login_credential.user_id = staff.id and login_credential.role != 7', 'inner');
        $this->db->join('staff_designation', 'staff_designation.id = staff.designation', 'left');
        $this->db->join('staff_department', 'staff_department.id = staff.department', 'left');
        $this->db->where('login_credential.role', 3);
        $this->db->where('login_credential.active', 1);
        $this->db->like('staff.name', $str);
        $this->db->order_by('staff.id', 'asc');
        
        $result = $this->db->get()->result_array();
        
        echo json_encode($result);
    }
    
    public function doctor_search()
    {
        $doctor_name = $this->input->get('name');
       
        // $this->data['page_data'] = $this->home_model->get_list('front_cms_doctors', array('id' => 2), true);
        $data['doctor'] = $this->home_model->get_doctor_profile_by_name($doctor_name);
        // $this->data['main_contents'] = $this->load->view('home/doctor_profile', $this->data, true);
        // $this->load->view('home/layout/index', $this->data);
        // echo "<pre>";
        // print_r($data);
        // die;
        $data['page'] = 'maternite/doctor-details';
        $this->load->view('maternite/template', $data);
    }
    public function appointment($doctor_id = '')
    {
        redirect(base_url('home'));
        $captcha = $this->data['cms_setting']['captcha_status'];
        if ($captcha == 'enable') {
            $this->load->library('recaptcha');
            $this->data['recaptcha'] = array(
                'widget' => $this->recaptcha->getWidget(),
                'script' => $this->recaptcha->getScriptTag(),
            );
        }
        $this->data['active_tab'] = 1;
        $this->data['doctor_id'] = $doctor_id;
        $this->data['today'] = date('Y-m-d');
        if ($this->input->post('new_patient')) {
            $this->form_validation->set_rules('new_patient_name', 'Patient Name', 'trim|required|xss_clean');
            $this->form_validation->set_rules('new_patient_gender', 'Patient Gender', 'trim|required|xss_clean');
            $this->form_validation->set_rules('birthday', 'Patient Birthday', 'trim|required|xss_clean');
            $this->form_validation->set_rules('new_patient_email', 'Patient Email', 'trim|required|xss_clean|valid_email');
            $this->form_validation->set_rules('new_patient_phone', 'Patient Phone', 'trim|required|xss_clean');
            $this->form_validation->set_rules('new_username', 'Username', 'trim|required|xss_clean|callback_unique_username');
            $this->form_validation->set_rules('new_password', 'Password', 'required|xss_clean|min_length[4]');
            $this->form_validation->set_rules('new_appointment_date', 'Appointment Date', 'trim|required|xss_clean');
            $this->form_validation->set_rules('new_doctor_id', 'Doctor', 'trim|required|xss_clean');
            $this->form_validation->set_rules('new_time_slots', 'Time Slots', 'trim|required|xss_clean');
            $this->form_validation->set_rules('new_message', 'Message', 'trim|required|xss_clean');
            if ($captcha == 'enable') {
                $this->form_validation->set_rules('g-recaptcha-response', 'Captcha', 'trim|required');
            }
            if ($this->form_validation->run() == false) {
                $this->data['active_tab'] = 1;
            } else {
                if ($captcha == 'enable') {
                    $captchaResponse = $this->recaptcha->verifyResponse($this->input->post('g-recaptcha-response'));
                }else{
                    $captchaResponse = array('success' => true);
                }
                if ($captchaResponse['success'] == true) {
                    // save data into table
                    $this->home_model->appointment_save_new($this->input->post());
                    $success = 'Appointment requested successfully. You can track your requests status at Login to your account.';
                    $this->session->set_flashdata('success', $success);
                    redirect(base_url('home/appointment'));
                } else {
                    $error = 'Captcha is invalid';
                    $this->session->set_flashdata('error', $error);
                    redirect(base_url('home/appointment'));
                }
            }
        }

        if ($this->input->post('old_patient')) {
            $this->form_validation->set_rules('patient_id', 'Patient ID', 'trim|required|xss_clean|callback_check_valid_patient_id');
            $this->form_validation->set_rules('old_appointment_date', 'Appointment Date', 'trim|required|xss_clean');
            $this->form_validation->set_rules('old_doctor_id', 'Doctor', 'trim|required|xss_clean');
            $this->form_validation->set_rules('old_time_slots', 'Time Slots', 'trim|required|xss_clean');
            $this->form_validation->set_rules('old_message', 'Message', 'trim|required|xss_clean');
            if ($this->form_validation->run() == false) {
                $this->data['active_tab'] = 2;
            } else {
                // save data into table
                $this->home_model->appointment_save_old($this->input->post());
                $success = 'Appointment requested successfully. You can track your requests status at Login to your account.';
                $this->session->set_flashdata('success', $success);
                redirect(base_url('home/appointment'));
            }
        }

        $this->data['page_data'] = $this->home_model->get_list('front_cms_appointment', array('id' => 1), true);
        $this->data['main_contents'] = $this->load->view('home/appointment', $this->data, true);
        $this->load->view('home/layout/index', $this->data);
    }

   
    public function page()
    {
        redirect(base_url('home'));
        $url = $this->uri->segment(3);
        $this->db->select('front_cms_menu.title as menu_title,front_cms_menu.alias,front_cms_pages.*');
        $this->db->from('front_cms_menu');
        $this->db->join('front_cms_pages', 'front_cms_pages.menu_id = front_cms_menu.id', 'inner');
        $this->db->where('front_cms_menu.alias', $url);
        $this->db->where('front_cms_menu.publish', 1);
        $getData = $this->db->get()->row_array();
        if (empty($getData)) {
            redirect ('404_override');
        }
        $this->data['page_data'] =  $getData;
        $this->data['active_menu'] = 'page';
        $this->data['main_contents'] = $this->load->view('home/page', $this->data, true);
        $this->load->view('home/layout/index', $this->data);
    }
	
	public function show_404()
	{
		$this->load->view('errors/error_404_message');
	}

    // unique valid username verification is done here
    public function unique_username($username)
    {
        redirect(base_url('home'));
        if ($this->input->post('patient_id')) {
            $patient_id = $this->input->post('patient_id');
            $login_id = $this->app_lib->get_credential_id($patient_id, false);
            $this->db->where_not_in('id', $login_id);
        }
        $this->db->where('username', $username);
        $query = $this->db->get('login_credential');
        if ($query->num_rows() > 0) {
            $this->form_validation->set_message("unique_username", translate('username_has_already_been_used'));
            return false;
        } else {
            return true;
        }
    }

    public function check_valid_patient_id($id)
    {
        redirect(base_url('home'));
        $exist = $this->db->select('id')->where('patient_id', $id)->get('patient')->num_rows();
        if ($exist > 0) {
            return true;
        } else {
            $this->form_validation->set_message('check_valid_patient_id', 'Patient ID not found.');
            return false;
        }
    }

    public function getAppointmentSchedule()
    {
        redirect(base_url('home'));
        $appointment_id = (isset($_POST['appointment_id']) ? $_POST['appointment_id'] : "");
        $schedule_id = (isset($_POST['schedule_id']) ? $_POST['schedule_id'] : 0);
        $doctor_id = $this->input->post('doctor_id');
        $date = date('Y-m-d', strtotime($this->input->post('appointment_date')));
        $nameOfDay = date('l', strtotime($date));
        $query = $this->db->where(array('doctor_id' => $doctor_id, 'day' => $nameOfDay))->get('schedule');
        if ($query->num_rows() > 0) {
            $count = 1;
            $srow = $query->row_array();
            $per_time = $srow['per_patient_time'];
            $min = $per_time * 60;
            $start = strtotime($srow['time_start']);
            $end = strtotime($srow['time_end']) - $per_time;
            $html = "<option value=''>" . translate('select') . "</option>";
            for ($i = $start; $i <= $end; $i = $i + $min) {
                $cID = $count++;
                if ($appointment_id != "") {
                    $this->db->where_not_in('id', $appointment_id);
                }

                $this->db->where_in('status', array(1, 2));
                $this->db->where(array('doctor_id' => $doctor_id, 'appointment_date' => $date, 'schedule' => $cID));
                $exist = $this->db->get('appointment')->num_rows();
                if ($exist > 0) {
                    continue;
                }

                $sel = ($cID == $schedule_id ? 'selected' : '');
                $html .= "<option value='" . $cID . "' " . $sel . ">" . date('h:i A', $i) . ' - ' . date('h:i A', $i + $min) . "</option>";
            }
        } else {
            $html = "<option value=''>" . translate('no_schedule_found') . "</option>";
        }
        echo $html;
    }
    
    public function infertilitytreatment()
    {

        $seo_content = $this->home_model->get_list('front_cms_infertilitytreatment_seo', array('id' => 1), true);
        $data['seo_content'] = json_decode($seo_content['seo_content']);
        $data['page'] = 'maternite/infertilitytreatment';
        $this->load->view('maternite/template', $data);
    }
     public function ourspeciality()
    {

        $seo_content = $this->home_model->get_list('front_cms_speciality_seo', array('id' => 1), true);
        $data['seo_content'] = json_decode($seo_content['seo_content']);
        $data['page'] = 'maternite/ourspeciality';
        $this->load->view('maternite/template', $data);
    }
    
   
     public function blogs($slug=""){
        
        if($slug){
            $data['page'] = 'maternite/blog-details';
            $data['blog'] = $this->db->get_where('front_cms_blogs',array('surname'=>$slug))->row();
            $data['seo_content'] = json_decode($data['blog']->seo_content); 
        }else{
            $seo_content = $this->home_model->get_list('front_cms_blogs_seo', array('id' => 1), true);
        $data['seo_content'] = json_decode($seo_content['seo_content']);
            $data['page'] = 'maternite/blogs';
        }
        $this->load->view('maternite/template', $data);
    }
     
    
   
    
    
 
    	public function get_speciality_doctors(){
	    $speciality_id = $this->input->get('id',TRUE);
	    $speciality = $this->db->get_where('front_cms_services_list',array('id'=>$speciality_id))->row();
		$doctor_ids = json_decode($speciality->doctors);
		if($doctor_ids){
		$this->db->select('staff.id,staff.staff_id,staff.name');
        $this->db->from('staff');
        $this->db->join('login_credential', 'login_credential.user_id = staff.id and login_credential.role != 7', 'inner');
        $this->db->join('staff_designation', 'staff_designation.id = staff.designation', 'left');
        $this->db->join('staff_department', 'staff_department.id = staff.department', 'left');
        $this->db->where('login_credential.role', 3);
        $this->db->where('login_credential.active', 1);
        $this->db->where_in('login_credential.user_id', $doctor_ids);
        $data = $this->db->get()->result_array();
        }else{
            $data = array();
        }
        
		echo json_encode($data);
	    
	}
   
}
