<section class="panel">
	<div class="tabs-custom">
		<ul class="nav nav-tabs">
			<li class="<?php echo (!isset($validation_error) ? 'active' : ''); ?>">
				<a href="#list" data-toggle="tab"><i class="fas fa-list-ul"></i> <?php echo translate('leadership') . " " . translate('list'); ?></a>
			</li>
	
			<li class="<?php echo (isset($validation_error) ? 'active' : ''); ?>">
				<a href="#create" data-toggle="tab"><i class="far fa-edit"></i> <?php echo translate('add') . " " . translate('leadership'); ?></a>
			</li>
            <li class="<?php echo ($validation == 6 ? 'active' : ''); ?>">
				<a href="#options" data-toggle="tab"><?php echo translate('seo'); ?></a>
			</li>
		</ul>
		<div class="tab-content">
			<div id="list" class="tab-pane <?php echo (!isset($validation_error) ? 'active' : ''); ?>">
				<table class="table table-bordered table-hover table-condensed table_default" cellspacing="0" width="100%">
					<thead>
						<tr>
							<th><?php echo translate('sl'); ?></th>
							<th><?php echo translate('photo'); ?></th>
							<th><?php echo translate('title'); ?></th>
							<th><?php echo translate('description'); ?></th>
							<th><?php echo translate('action'); ?></th>
						</tr>
					</thead>
					<tbody>
						<?php
						$count = 1;
						if (!empty($list)) {
							foreach ($list as $row):
								?>
						<tr>
							<td><?php echo $count++; ?></td>
							<td><img class="img-border" src="<?=base_url($row['banner_image']); ?>" width="50"/></td>
							<td><?php echo $row['page_title']; ?></td>
							<td><?php echo $row['content']; ?></td>
							<td class="min-w-xs">
								
									<a href="<?php echo base_url('frontend/content/leadership/edit/' . $row['id']); ?>" class="btn btn-default btn-circle icon" data-toggle="tooltip" data-original-title="<?php echo translate('edit'); ?>"> 
										<i class="fas fa-pen-nib"></i>
									</a>
							
									<?php echo btn_delete('frontend/content/leadership/delete/' . $row['id']); ?>
								
							</td>
						</tr>
						<?php endforeach; }?>
					</tbody>
				</table>
			</div>
	
			<div class="tab-pane <?php echo (isset($validation_error) ? 'active' : ''); ?>" id="create">
			    <?php echo form_open_multipart($this->uri->uri_string(), array('class' => 'form-horizontal form-bordered')); ?>
					<div class="form-group">
						<label class="col-md-3 control-label"><?php echo  translate('title'); ?> </label>
						<div class="col-md-6">
							<input type="text" class="form-control" name="title"/>
						</div>
					</div>
					
				
					<div class="form-group">
						<label class="col-md-3 control-label"><?php echo translate('description'); ?> </label>
						<div class="col-md-6">
							<textarea class="form-control ckeditor"  name="description" placeholder="" rows="3" ><?php echo set_value('description'); ?></textarea>
							<span class="error"><?php echo form_error('description'); ?></span>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-3 control-label"><?php echo translate('photo'); ?></label>
						<div class="col-md-4">
							<input type="file" name="photo" class="dropify" data-height="150" />
							<span class="error"><?php echo form_error('photo'); ?></span>
						</div>
					</div>
					
					
					
					
					
					<?php $seo_content = json_decode($list['seo_content']);?>
							<!--<div class="form-group <?php if (form_error('page_title')) echo 'has-error'; ?>">-->
							<!--	<label class="col-md-3 control-label">Page Title</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="page_title" value="<?=$seo_content->page_title?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Meta Keyword</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="meta_keyword" value="<?=$seo_content->meta_keyword?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Meta Description</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="meta_description" value="<?=$seo_content->meta_description?>" />-->
							<!--	</div>-->
							<!--</div>-->
							
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">News Keywords</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="news_keywords" value="<?=$seo_content->news_keywords?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Abstract</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="abstract" value="<?=$seo_content->meta_abstract?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Dc Source</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="dc_source" value="<?=$seo_content->dc_source?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Dc Title</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="dc_title" value="<?=$seo_content->dc_title?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Dc Keywords</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="dc_keywords" value="<?=$seo_content->dc_keywords?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Dc Description</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="dc_description" value="<?=$seo_content->dc_description?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Canonical</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="canonical" value="<?=$seo_content->canonical?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Alternate</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="alternate" value="<?=$seo_content->alternate?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Robot</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="robot" value="<?=$seo_content->robot?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Copyright</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="copyright" value="<?=$seo_content->copyright?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Author</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="author" value="<?=$seo_content->author?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Og Locale</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="og_locale" value="<?=$seo_content->og_locale?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Og Type</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="og_type" value="<?=$seo_content->og_type?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Og Title</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="og_title" value="<?=$seo_content->og_title?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Og Description</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="og_description" value="<?=$seo_content->og_description?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Og URL</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="og_url" value="<?=$seo_content->og_url?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Og Site Name</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="og_site_name" value="<?=$seo_content->og_site_name?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Og Image</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="og_image" value="<?=$seo_content->og_site_name?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Fb Admins</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="fb_admins" value="<?=$seo_content->og_site_name?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Twitter Card</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="twitter_card" value="<?=$seo_content->twitter_card?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Twitter Site</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="twitter_site" value="<?=$seo_content->twitter_site?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Twitter Creator</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="twitter_creator" value="<?=$seo_content->twitter_creator?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Twitter Title</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="twitter_title" value="<?=$seo_content->twitter_title?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Twitter Description</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="twitter_description" value="<?=$seo_content->twitter_description?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Twitter Image Src</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="twitter_image_src" value="<?=$seo_content->twitter_image_src?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Twitter Canonical</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="twitter_canonical" value="<?=$seo_content->twitter_canonical?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Item type</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="item_type" value="<?=$seo_content->item_type?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Item Name</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="item_name" value="<?=$seo_content->item_name?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Item Description</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="item_description" value="<?=$seo_content->item_description?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Item Url</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="item_url" value="<?=$seo_content->item_url?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Item Image</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="item_image" value="<?=$seo_content->item_image?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Item Author</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="item_author" value="<?=$seo_content->item_author?>" />-->
							<!--	</div>-->
							<!--</div>-->
							<!--<div class="form-group">-->
							<!--	<label class="col-md-3 control-label">Item Organization</label>-->
							<!--	<div class="col-md-8">-->
							<!--		<input type="text" class="form-control" name="item_organization" value="<?=$seo_content->item_organization?>" />-->
							<!--	</div>-->
							<!--</div>-->
					<footer class="panel-footer mt-lg">
						<div class="row">
							<div class="col-md-2 col-md-offset-3">
								<button type="submit" class="btn btn-default btn-block" name="save" value="1">
									<i class="fas fa-plus-circle"></i> <?php echo translate('save'); ?>
								</button>
							</div>
						</div>	
					</footer>
				<?php echo form_close(); ?>
			</div>
			<div class="tab-pane <?php echo ($validation == 6 ? 'active' : ''); ?>" id="options">
						<?php echo form_open($this->uri->uri_string(), array('class' => 'form-horizontal')); ?>
							<?php $home_seo = $this->db->get_where('front_cms_leadership_seo',array('id'=>1))->row_array();
							$seo_content = json_decode($home_seo['seo_content']);?>
							<div class="form-group <?php if (form_error('page_title')) echo 'has-error'; ?>">
								<label class="col-md-3 control-label">Page Title</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="page_title" value="<?php echo ($seo_content->page_title) ? $seo_content->page_title : 'AIG';?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Meta Keyword</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="meta_keyword" value="<?=$seo_content->meta_keyword?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Meta Description</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="meta_description" value="<?=$seo_content->meta_description?>" />
								</div>
							</div>
							
							<div class="form-group">
								<label class="col-md-3 control-label">News Keywords</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="news_keywords" value="<?=$seo_content->news_keywords?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Abstract</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="abstract" value="<?=$seo_content->meta_abstract?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Dc Source</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="dc_source" value="<?=$seo_content->dc_source?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Dc Title</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="dc_title" value="<?=$seo_content->dc_title?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Dc Keywords</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="dc_keywords" value="<?=$seo_content->dc_keywords?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Dc Description</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="dc_description" value="<?=$seo_content->dc_description?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Canonical</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="canonical" value="<?=$seo_content->canonical?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Alternate</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="alternate" value="<?=$seo_content->alternate?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Robot</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="robot" value="<?=$seo_content->robot?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Copyright</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="copyright" value="<?=$seo_content->copyright?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Author</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="author" value="<?=$seo_content->author?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Og Locale</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="og_locale" value="<?=$seo_content->og_locale?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Og Type</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="og_type" value="<?=$seo_content->og_type?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Og Title</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="og_title" value="<?=$seo_content->og_title?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Og Description</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="og_description" value="<?=$seo_content->og_description?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Og URL</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="og_url" value="<?=$seo_content->og_url?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Og Site Name</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="og_site_name" value="<?=$seo_content->og_site_name?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Og Image</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="og_image" value="<?=$seo_content->og_site_name?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Fb Admins</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="fb_admins" value="<?=$seo_content->og_site_name?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Twitter Card</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="twitter_card" value="<?=$seo_content->twitter_card?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Twitter Site</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="twitter_site" value="<?=$seo_content->twitter_site?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Twitter Creator</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="twitter_creator" value="<?=$seo_content->twitter_creator?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Twitter Title</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="twitter_title" value="<?=$seo_content->twitter_title?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Twitter Description</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="twitter_description" value="<?=$seo_content->twitter_description?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Twitter Image Src</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="twitter_image_src" value="<?=$seo_content->twitter_image_src?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Twitter Canonical</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="twitter_canonical" value="<?=$seo_content->twitter_canonical?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Item type</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="item_type" value="<?=$seo_content->item_type?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Item Name</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="item_name" value="<?=$seo_content->item_name?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Item Description</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="item_description" value="<?=$seo_content->item_description?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Item Url</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="item_url" value="<?=$seo_content->item_url?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Item Image</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="item_image" value="<?=$seo_content->item_image?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Item Author</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="item_author" value="<?=$seo_content->item_author?>" />
								</div>
							</div>
							<div class="form-group">
								<label class="col-md-3 control-label">Item Organization</label>
								<div class="col-md-8">
									<input type="text" class="form-control" name="item_organization" value="<?=$seo_content->item_organization?>" />
								</div>
							</div>
							<footer class="panel-footer mt-lg">
								<div class="row">
									<div class="col-md-2 col-md-offset-3">
										<button type="submit" class="btn btn-default btn-block" name="options" value="1">
											<i class="fas fa-plus-circle"></i> <?php echo translate('save'); ?>
										</button>
									</div>
								</div>
							</footer>
						<?php echo form_close(); ?>
					</div>
		</div>
	</div>
</section>