<section class="panel">
	<div class="tabs-custom">
		<ul class="nav nav-tabs">
			<li>
				<a href="<?php echo base_url('frontend/prstoriess'); ?>"><i class="fas fa-list-ul"></i> <?php echo translate('prstories') . " " . translate('list'); ?></a>
			</li>
			<li class="active">
				<a href="#edit" data-toggle="tab"><i class="far fa-edit"></i> <?php echo translate('edit') . " " . translate('prstories'); ?></a>
			</li>
		</ul>
		<div class="tab-content">
			<div class="tab-pane active" id="edit">
			    <?php echo form_open_multipart($this->uri->uri_string(), array('class' => 'form-horizontal form-bordered')); ?>
					<input type="hidden" name="testimonial_id" value="<?php echo $testimonial['id']; ?>">
					<div class="form-group">
						<label class="col-md-3 control-label"><?php echo translate('prstories') . " " . translate('title'); ?> <span class="required">*</span></label>
						<div class="col-md-6">
							<input type="text" class="form-control" name="patient_name" value="<?php echo set_value('prstories_title', $testimonial['patient_name']); ?>" />
							<span class="error"><?php echo form_error('patient_name'); ?></span>
						</div>
					</div>
					<!--<div class="form-group">-->
					<!--	<label class="col-md-3 control-label"><?php echo translate('surname'); ?> <span class="required">*</span></label>-->
					<!--	<div class="col-md-6">-->
					<!--		<input type="text" class="form-control" name="surname" value="<?php echo set_value('surname', $testimonial['surname']); ?>" />-->
					<!--		<span class="error"><?php echo form_error('surname'); ?></span>-->
					<!--	</div>-->
					<!--</div>-->
						<div class="form-group">
						<label class="col-md-3 control-label"><?php echo translate('Doctor'); ?> <span class="required">*</span></label>
						<div class="col-md-6">
						    <select class="form-control" name="author" required>
						        <?php   $this->db->select('staff.*,staff_designation.name as designation_name,staff_department.name as department_name,login_credential.role as role_id, roles.name as role');
                                        $this->db->from('staff');
                                        $this->db->join('login_credential', 'login_credential.user_id = staff.id and login_credential.role != "7"', 'inner');
                                        $this->db->join('roles', 'roles.id = login_credential.role', 'left');
                                        $this->db->join('staff_designation', 'staff_designation.id = staff.designation', 'left');
                                        $this->db->join('staff_department', 'staff_department.id = staff.department', 'left');
                                        $this->db->where('login_credential.role', 3);
                                        $this->db->order_by('staff.id', 'ASC');
                                        $doctors = $this->db->get()->result();?>
                                        <option>Select Doctor</option>
                                        <?php foreach($doctors as $doctor){?>
                                        <option value="<?=$doctor->name?>" <?php if($doctor->name == $testimonial['author']) echo "selected"; ?>><?=$doctor->name?></option>
                                        <?php } ?>
						    </select>
						</div>
					</div>
					
					<div class="form-group">
						<label class="col-md-3 control-label"><?php echo translate('Speciality'); ?> <span class="required">*</span></label>
						<div class="col-md-6">
						    <select class="form-control" name="speciality" required>
						        <?php   $specialities = $this->db->get('front_cms_services_list')->result();?>
                                        <option>Select Speciality</option>
                                        <?php foreach($specialities as $speciality){?>
                                        <option value="<?=$speciality->title?>" <?php if($speciality->title == $testimonial['speciality']) echo "selected"; ?>><?=$speciality->title?></option>
                                        <?php } ?>
						    </select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-3 control-label"><?php echo translate('rank'); ?> <span class="required">*</span></label>
						<div class="col-md-6">
							<?php
								$arrayRank = array(
									'1' => '1',
									'2' => '2',
									'3' => '3',
									'4' => '4',
									'5' => '5',
								);
								echo form_dropdown("rank", $arrayRank, set_value('rank', $testimonial['rank']), "class='form-control' data-minimum-results-for-search='Infinity'
								data-plugin-selectTwo data-width='100%'");
							?>
							<span class="error"><?php echo form_error('rank'); ?></span>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-3 control-label"><?php echo translate('description'); ?> <span class="required">*</span></label>
						<div class="col-md-6">
							<textarea class="ckeditor" name="description" ><?php echo set_value('description', $testimonial['description']); ?></textarea>
							<span class="error"><?php echo form_error('description'); ?></span>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-3 control-label"><?php echo translate('photo'); ?> <span class="required">*</span></label>
						<div class="col-md-4">
							<input type="hidden" name="old_photo" value="<?php echo $testimonial['image']; ?>">
							<input type="file" name="photo" class="dropify" data-height="150" data-default-file="<?php echo $this->app_lib->get_image_url('prstoriess/' . $testimonial['image']); ?>" />
							<span class="error"><?php echo form_error('photo'); ?></span>
						</div>
					</div>
					<footer class="panel-footer mt-lg">
						<div class="row">
							<div class="col-md-2 col-md-offset-3">
								<button type="submit" class="btn btn-default btn-block" name="save" value="1">
									<i class="fas fa-edit"></i> <?php echo translate('update'); ?>
								</button>
							</div>
						</div>	
					</footer>
				<?php echo form_close(); ?>
			</div>
		</div>
	</div>
</section>