<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Doctor Search</title>

</head>
<body>

<div class="container">
    <h2>Find Your Doctor</h2>

    <!-- Specialty Dropdown -->
    <label for="specialty">Select Specialty</label>
    <select id="specialty" onchange="updateDoctors()">
        <option value="">-- Select Specialty --</option>
        <option value="cardiology">Cardiology</option>
        <option value="neurology">Neurology</option>
        <option value="orthopedics">Orthopedics</option>
        <option value="pediatrics">Pediatrics</option>
    </select>

    <!-- Doctor Dropdown -->
    <label for="doctor">Select Doctor</label>
    <select id="doctor">
        <option value="">-- Select Doctor --</option>
    </select>

    <!-- Search Button -->
    <button type="button" onclick="searchDoctor()">Search</button>
</div>

<script>
    // Sample data of doctors categorized by specialty
    const doctorsBySpecialty = {
        cardiology: [
            { name: 'Dr. John Smith', pageUrl: 'doctor-john-smith.html' },
            { name: 'Dr. Emily Johnson', pageUrl: 'doctor-emily-johnson.html' }
        ],
        neurology: [
            { name: 'Dr. Mark Lee', pageUrl: 'doctor-mark-lee.html' },
            { name: 'Dr. Sarah Brown', pageUrl: 'doctor-sarah-brown.html' }
        ],
        orthopedics: [
            { name: 'Dr. James Wilson', pageUrl: 'doctor-james-wilson.html' },
            { name: 'Dr. Olivia Martin', pageUrl: 'doctor-olivia-martin.html' }
        ],
        pediatrics: [
            { name: 'Dr. Emma Davis', pageUrl: 'doctor-emma-davis.html' },
            { name: 'Dr. Liam Thomas', pageUrl: 'doctor-liam-thomas.html' }
        ]
    };

    // Update the doctor dropdown based on the selected specialty
    function updateDoctors() {
        const specialty = document.getElementById('specialty').value;
        const doctorSelect = document.getElementById('doctor');
        
        // Clear previous doctor options
        doctorSelect.innerHTML = '<option value="">-- Select Doctor --</option>';
        
        if (specialty && doctorsBySpecialty[specialty]) {
            doctorsBySpecialty[specialty].forEach(doctor => {
                const option = document.createElement('option');
                option.value = doctor.pageUrl;
                option.textContent = doctor.name;
                doctorSelect.appendChild(option);
            });
        }
    }

    // Redirect to the selected doctor's page
    function searchDoctor() {
        const doctorPageUrl = document.getElementById('doctor').value;
        if (doctorPageUrl) {
            window.location.href = doctorPageUrl;
        } else {
            alert('Please select a doctor before searching.');
        }
    }
</script>

</body>
</html>
